| Kea 3.0.2-git

main.cc File Reference
`#include <config.h>`
`#include <kea_version.h>`
`#include <dhcp4/ctrl_dhcp4_srv.h>`
`#include <dhcp4/dhcp4_log.h>`
`#include <dhcp4/parser_context.h>`
`#include <dhcp4/json_config_parser.h>`
`#include <dhcpsrv/cfgmgr.h>`
`#include <exceptions/exceptions.h>`
`#include <log/logger_support.h>`
`#include <log/logger_manager.h>`
`#include <log/output_option.h>`
`#include <process/cfgrpt/config_report.h>`
`#include <process/daemon.h>`
`#include <util/filesystem.h>`
`#include <boost/lexical_cast.hpp>`
`#include <iostream>`
Include dependency graph for dhcp4/main.cc:

Go to the source code of this file.

## Functions
int | main (int argc, char *argv[])

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[] )

Definition at line 76 of file dhcp4/main.cc.

References isc::dhcp::configureDhcp4Server(), isc::process::Daemon::createPIDFile(), isc::dhcp::DBG_DHCP4_START, isc::log::OutputOption::DEST_CONSOLE, isc::dhcp::DHCP4_ALREADY_RUNNING, isc::dhcp::DHCP4_DEVELOPMENT_VERSION, isc::dhcp::DHCP4_INIT_FAIL, isc::dhcp::dhcp4_logger, isc::dhcp::DHCP4_ROOT_LOGGER_NAME, isc::dhcp::DHCP4_SECURITY_CHECKS_DISABLED, isc::dhcp::DHCP4_SERVER_FAILED, isc::dhcp::DHCP4_SHUTDOWN, isc::dhcp::DHCP4_START_INFO, isc::dhcp::DHCP4_STARTED, isc::dhcp::DHCP4_STARTING, isc::util::file::PathChecker::enableEnforcement(), isc::detail::getConfigReport(), isc::dhcp::Dhcpv4Srv::getVersion(), isc::dhcp::ControlledDhcpv4Srv::init(), isc::dhcp::CfgMgr::instance(), LOG_DEBUG, LOG_ERROR, LOG_FATAL, LOG_INFO, LOG_WARN, isc::process::Daemon::loggerInit(), isc::config::parseAnswer(), isc::dhcp::Parser4Context::parseFile(), isc::dhcp::Parser4Context::PARSER_DHCP4, isc::log::LoggerManager::process(), isc::dhcp::Dhcpv4Srv::run(), isc::process::Daemon::setConfigFile(), isc::process::Daemon::setDefaultLoggerName(), isc::dhcp::CfgMgr::setFamily(), isc::process::Daemon::setProcName(), isc::util::file::setUmask(), isc::process::Daemon::setVerbose(), isc::util::file::PathChecker::shouldEnforceSecurity(), usage(), and isc::Exception::what().

Here is the call graph for this function: